using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;

namespace Topsdk.Top.Ability304.Response;

public class TaobaoTopSecretGetResponse : AbstractTopApiResponse
{

    /*
        下次更新秘钥间隔，单位（秒）
            */
    private long? interval;


    /*
        最长有效期，容灾使用，单位（秒）
            */
    private long? maxInterval;


    /*
        秘钥值
            */
    private string? secret;


    /*
        秘钥版本号
            */
    private long? secretVersion;


    /*
        app配置信息
            */
    private string? appConfig;


    [JsonPropertyName("interval")]
    public long? Interval
    {
        get => interval;
        set => this.interval = value;
    }

    [JsonPropertyName("max_interval")]
    public long? MaxInterval
    {
        get => maxInterval;
        set => this.maxInterval = value;
    }

    [JsonPropertyName("secret")]
    public string? Secret
    {
        get => secret;
        set => this.secret = value;
    }

    [JsonPropertyName("secret_version")]
    public long? SecretVersion
    {
        get => secretVersion;
        set => this.secretVersion = value;
    }

    [JsonPropertyName("app_config")]
    public string? AppConfig
    {
        get => appConfig;
        set => this.appConfig = value;
    }

}

